GNUMED(1)

NAME
gm_ctl_client - GNUmed XML-RPC connector for legacy applications

SYNOPSIS
gm_ctl_client [--log-file=FILE] [--conf-file=FILE] [--text-domain=TEXTDOMAIN] [--lang-gettext=LANGUAGE]

DESCRIPTION
gm_ctl_client is a small helper program acting as a client for the XML-RPC API of the GNUmed client. This API can be used by 3rd-Party software to remote control a GNUmed client.

OPTIONS

--text-domain=TEXTDOMAIN
    Set this to change the name of the language file to be loaded. Note, this does not change the directory the file is searched in, only the name of the file where messages are loaded from. The standard textdomain is, of course, "gnumed.mo". You need only specify the base name of the file without the .mo extension.

--log-file=FILE
    Use this to change the name of the log file. The default log file would be <~/.gnumed/gnumed.log>.

--conf-file=FILE
    Use configuration file FILE instead of searching for it in standard locations.

--lang-gettext=LANGUAGE
    Explicitly set the language to use in gettext translation. The very same effect can be achieved by setting the environment variable $LANG from a launcher script.

ENVIRONMENT

LANG, LC_MESSAGES, etc.
    See gettext(1) for how the various locale related environment variables work.

FILES

~/.gm_ctl_client/gm_ctl_client.log
    The default log file.

~/.gm_ctl_client/gm_ctl_client.conf
    The default configuration file.

SEE ALSO

gettext(1)

gnumed(1)

http://www.gnumed.org
    Users' website

http://www.gnumed.de
    German website

http://savannah.gnu.org/projects/gnumed
    source code repository (CVS)

http://wiki.gnumed.de
    detailed Wiki-style documentation

BUGS
A lot of functionality is still missing. However, to make up for that, we deliver a plethora of bugs for your amusement :-)

REVISION
$Id: gm_ctl_client.1,v 1.2 2009-12-21 15:00:39 ncq Exp $